Help with Flask (database stage of the Flask Mega Tutorial by Miguel Grinberg)

Jacob MacRitchie jacob.macritchie at gmail.com
Fri Aug 14 22:47:51 CEST 2015


http://blog.miguelgrinberg.com/post/the-flask-mega-tutorial-part-iv-database

I've just finished making db_create.py (you can ctrl+f to it) and am getting...

from migrate.versioning import api
ImportError: No module named 'migrate'

...I diffed everything at this stage of the tutorial so I know I have no typos, I double checked my venv to make sure I have sqlalchemy-migrate installed. I did notice in the comments (page 2 of the comments I think) that the newer version of SQLAlchemy isn't compatible with sqlalchemy-migrate, so is that what's causing this problem? I didn't find anyone else having quite the same problem.

I tried downgrading sqlalchemy to 0.7.9 (necessary for other parts of the tutorial, but didn't solve this problem), tried running from the command line (venv activated) instead of running it with the venv selected as project interpreter in pycharm, but get...

from config import SQLALCHEMY_DATABASE_URI
ImportError: no module named 'config'

...instead. I've tried moving db_create.py from the app folder for the heck of it, but just get a long traceback.

I'm not sure what else to try, any help is appreciated!


More information about the Python-list mailing list